﻿@model NationalTheatre.ViewModels.ReservationViewModel

<h4 class="text-danger">@Html.ValidationMessage("CustomError")</h4>
<br>
<h4 class="text-success">@Html.ValidationMessage("NoError")</h4>

<div>
  <hr />
  <dl class="dl-horizontal">

    <dt>
      Name
    </dt>
    <dd>
      @Html.DisplayFor(model => model.Show)
    </dd>
    <dt>
      Date
    </dt>
    <dd>
      @Html.DisplayFor(model => model.Date)
    </dd>
    <dt>
      Row
    </dt>
    <dd>
      @Html.DisplayFor(model => model.RowSeat.Row)
    </dd>
    <dt>
      Seat
    </dt>
    <dd>
      @Html.DisplayFor(model => model.RowSeat.Seat)
    </dd>
  </dl>

  <form asp-action="EditReservation" asp-controller="Users" method="post">
    <input type="hidden" asp-for="@Model.RowSeat.Seat" />
    <input type="hidden" asp-for="@Model.RowSeat.Row" />
    <div class="form-group">
      <label class="col-md-2 control-label">Row|Seat</label>
      <div class="col-md-10">
        @for (var i = 0; i < Model.RowSeats.Count; i++)
        {
        <input type="radio" asp-for="@Model.NewRowSeat" value="@Model.RowSeats[i].Id" />
        <label asp-for="@Model.RowSeats[i].RadioButtonAnswer">@Model.RowSeats[i].RowSeat()</label>
        <input type="hidden" asp-for="@Model.RowSeats[i].Id" />
        <input type="hidden" asp-for="@Model.RowSeats[i].Seat" />
        <input type="hidden" asp-for="@Model.RowSeats[i].Row" />
        }
      </div>
    </div>
    <div class="form-actions no-color">
      <input type="submit" value="Edit" class="btn btn-primary" /> |
      <a asp-action="Index" asp-controller="Users">No</a>
    </div>

  </form>
</div>
